Skip to main content
GET
/
inbox_conversations
/
{id}
JavaScript
import Moonbase from '@moonbaseai/sdk';

const client = new Moonbase({
  apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted
});

const inboxConversation = await client.inboxConversations.retrieve('id');

console.log(inboxConversation.id);
{
  "id": "1CLJt2v6592N5WQzNpjpj2",
  "type": "inbox_conversation",
  "created_at": "2025-02-17T16:00:00.000Z",
  "updated_at": "2025-02-17T16:00:00.000Z",
  "tags": [
    {
      "id": "1CLJt2v5pkpkAnvdgXfEcF",
      "type": "tag",
      "name": "Requires Action",
      "color": "lunar"
    }
  ],
  "subject": "subject",
  "last_message_at": "2025-02-17T16:00:00.000Z",
  "state": "unassigned",
  "follow_up": false,
  "unread": false,
  "bulk": false,
  "spam": false,
  "trash": false,
  "draft": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.moonbase.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your Moonbase API key.

Path Parameters

id
string
required

The ID of the Conversation to retrieve.

Query Parameters

include[]
enum<string>[]

Specifies which related objects to include in the response. Valid options are inbox, messages, and messages.addresses.

Available options:
inbox,
messages,
messages.addresses

Response

Succesful response.

The Conversation object represents a thread of related messages.

type
string
required

String representing the object’s type. Always inbox_conversation for this object.

Allowed value: "inbox_conversation"
id
string
required

Unique identifier for the object.

last_message_at
string<date-time>
required

The time of the most recent activity in the conversation, as an ISO 8601 timestamp in UTC.

state
enum<string>
required

The current state, which can be unassigned, active, closed, or waiting.

Available options:
unassigned,
active,
closed,
waiting
follow_up
boolean
required

Whether the conversation is marked for follow-up.

unread
boolean
required

true if the conversation contains unread messages.

bulk
boolean
required

true if the conversation appears to be part of a bulk mailing.

spam
boolean
required

true if the conversation is marked as spam.

trash
boolean
required

true if the conversation is in the trash.

draft
boolean
required

true if a new draft reply to this conversation has been started.

created_at
string<date-time>
required

Time at which the object was created, as an ISO 8601 timestamp in UTC.

updated_at
string<date-time>
required

Time at which the object was last updated, as an ISO 8601 timestamp in UTC.

tags
Tag · object[]
required

A list of Tag objects applied to this conversation.

subject
string
required

The subject line of the conversation.

unsnooze_at
string<date-time>

If the conversation is snoozed, this is the time it will reappear in the inbox, as an ISO 8601 timestamp in UTC.

inbox
Inbox · object

The Inbox that this conversations belongs to.

Note: Only present when requested using the include query parameter.

messages
EmailMessage · object[]

The EmailMessage objects that belong to this conversation.

Note: Only present when requested using the include query parameter.